<?php
/*
 CLASE PARA LA GESTION DE TITULARES
*/
require_once "db.class.php";

class usuario_rol extends database {


     function usuario_rol(){}


    //----------------------------------
    function total_reg($rol,$codigo)
	   {
	   //conexion a la base de datos
	   $this->conectar();
     $query = $this->consulta("SELECT * FROM usuarios_temporal WHERE rol='".$rol."' and id='".$codigo."'");

     return ($this->numero_de_filas($query));
     $this->disconnect();

	   }

        //---------------------------------

	function usuarioss_roles($inicio,$rol,$codigo)
	{
    $data=array();
		//conexion a la base de datos
		$this->conectar();

    //se llenan los datos en un array
                 
    $query = $this->consulta("select * from usuarios_temporal where rol='".$rol."' and id='".$codigo."'");

		 while ( $tsArray = $this->fetch_assoc($query) ){
			$data[] = $tsArray;
     }

     return $data;

     $this->disconnect();
	   }

}

?>